ll_red_nf.h File Reference
`#include "groebner_defs.h"`
`#include "ReductionStrategy.h"`
`#include "LLReduction.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Functions

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>
Polynomial | polybori::groebner::ll_red_nf_generic (const Polynomial &, const BooleSet &)
template<bool fast>
Polynomial | polybori::groebner::multiply (const Polynomial &p, const Polynomial &q)
template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>
Polynomial | polybori::groebner::ll_red_nf_generic (const Polynomial &p, MonomialSet::navigator r_nav)
Polynomial | polybori::groebner::ll_red_nf (const Polynomial &p, const BooleSet &reductors)
Polynomial | polybori::groebner::ll_red_nf_noredsb (const Polynomial &p, const BooleSet &reductors)
Polynomial | polybori::groebner::ll_red_nf_noredsb_single_recursive_call (const Polynomial &p, const BooleSet &reductors)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-07-01

This file includes the definition of the function `ll_red_nf`.

Copyright:
  (c) 2006-2011 by The PolyBoRi Team